Class AuthenticatorsApi.GetSingleAuthenticator
java.lang.Object
de.xima.fc.api.rest.pub.client.security.ApiCall<AuthenticatorsApi.GetSingleAuthenticator>
de.xima.fc.api.rest.pub.client.security.EndpointCategoryCall<AuthenticatorsApi.GetSingleAuthenticator>
de.xima.fc.api.rest.pub.client.security.api.AuthenticatorsApi.GetSingleAuthenticator
- Enclosing class:
AuthenticatorsApi
public final class AuthenticatorsApi.GetSingleAuthenticator
extends EndpointCategoryCall<AuthenticatorsApi.GetSingleAuthenticator>
Handler for the
getSingleAuthenticator API method that lets you choose the content type
via the Accept header.-
Field Summary
Fields inherited from class ApiCall
accept, apiCallInterceptor, authentications, authNames, body, cookieParams, headerParams, method, path, properties, queryParams, returnTypes -
Method Summary
Modifier and TypeMethodDescriptionClass<? extends EndpointCategory> Calls the API with theAcceptheader set toapplication/json; charset=utf-8.Calls the API with theAcceptheader set toapplication/vnd.xima.fc.api.rest.public+json; version=1.0; charset=utf-8.protected AuthenticatorsApi.GetSingleAuthenticatorself()Sets the optional parameter lang for the API call.Methods inherited from class ApiCall
accept, accept, apiCallInterceptor, apiCallInterceptor, authentication, authentications, authentications, authNames, authNames, body, body, body, cookieParam, cookieParams, cookieParams, headerParam, headerParams, headerParams, method, method, path, path, properties, properties, property, queryParam, queryParams, queryParams, returnTypes, returnTypes
-
Method Details
-
self
- Specified by:
selfin classApiCall<AuthenticatorsApi.GetSingleAuthenticator>
-
withLang
Sets the optional parameter lang for the API call.- Parameters:
lang- The language to use for returning resources (optional)- Returns:
- This handler for chaining method calls.
- Throws:
IllegalArgumentException- When the parameter does not confirm to the expected format.
-
endpointCategory
- Specified by:
endpointCategoryin classEndpointCategoryCall<AuthenticatorsApi.GetSingleAuthenticator>- Returns:
- The endpoint category that created this API call.
-
requestJson
Calls the API with theAcceptheader set toapplication/json; charset=utf-8.Single authenticator. Retrieves a single authenticator with the UUID given as a path parameter.
Status codes that may be returned by this API call:
- 200 - The requested authenticator.
- Returns:
- A completion stage that resolves with the data returned by the API.
-
requestJson_v1_0
Calls the API with theAcceptheader set toapplication/vnd.xima.fc.api.rest.public+json; version=1.0; charset=utf-8.Single authenticator. Retrieves a single authenticator with the UUID given as a path parameter.
Status codes that may be returned by this API call:
- 200 - The requested authenticator.
- Returns:
- A completion stage that resolves with the data returned by the API.
-